# Interface StyleDefaultsNodeDefaultsIcon

#### Hierarchy

- StyleDefaultsNodeDefaultsIcon

#####
Index

### Properties

borderColor
borderRadius
borderWidth
color
height
pattern
shape
source
sourceHover
sourceHoverSelected
sourceSelected
svgClassName
svgStyle
width

## Properties

### borderColor

borderColor: string

Default border color of the icon.

### borderRadius

borderRadius: string

Specifies default border radius of the icon.

### borderWidth

borderWidth: number

Default border width of the icon in pixels.

### color

color: string

Default color of the icon.

### height

height: number

Default icon height.

### pattern

pattern: string

Default fill pattern of the icon.

### shape

shape: string

Specifies default shape of the icon.

### source

source: string

The URI of the node image

#### Deprecated

Since 17.0.0. Node source property has been deprecated. Please use custom renderer instead.

### sourceHover

sourceHover: string

The optional URI of the node hover image.

#### Deprecated

Since 17.0.0. Node sourceHover property has been deprecated. Please use custom renderer instead.

### sourceHoverSelected

sourceHoverSelected: string

The optional URI of the selected image on hover.

#### Deprecated

Since 17.0.0. Node sourceHoverSelected property has been deprecated. Please use custom renderer instead.

### sourceSelected

sourceSelected: string

The optional URI of the selected image.

#### Deprecated

Since 17.0.0. Node sourceSelected property has been deprecated. Please use custom renderer instead.

### svgClassName

svgClassName: string

The SVG CSS style class to apply to the node icon.

### svgStyle

svgStyle: object

Specifies CSS styles for the icon.

### width

width: number

Default icon width.

Generated using TypeDoc